#!/usr/bin/python
# vim: tabstop=2 expandtab autoindent

import string, sys
from pyPgSQL import PgSQL

connection = PgSQL.connect(database='mjt_cd_database', user='mjt')
connection.autocommit = 1
cursor = connection.cursor()

if len(sys.argv) == 1 or sys.argv[1] == '-h' or sys.argv[1] == '--help':
  print 'Please supply an artist name'
  sys.exit(1)

artist = sys.argv[1:]
artist = string.join(artist)

qry = 'SELECT name \
      FROM artist \
      WHERE Upper(name)=Upper(\'%s\')' % artist

cursor.execute(qry)
res = cursor.fetchall()

if res:
  print 'Cowardly refusing to add artist %s' % artist
  print 'Found: %s' % res.pop(0)[0]
  if len(res) > 0:
    for row in res:
      print '       %s' % row[0]
  sys.exit(1)

qry = 'INSERT INTO artist \
      (name) VALUES (\'%s\')' % artist
cursor.execute(qry)

qry = 'SELECT id, name \
      FROM artist \
      WHERE Upper(name)=Upper(\'%s\')' % artist

cursor.execute(qry)
res = cursor.fetchone()
print 'ID: %s' % res[0]
print 'Name: %s' % res[1]
print 'Added'

